You are here: Foswiki>Tasks Web>Item12810 (05 Jul 2015, GeorgeClark)Edit Attach

Item12810: JQuery needs to fallback to an available version if misconfigured

pencil
Priority: Enhancement
Current State: Closed
Released In: 2.0.0
Target Release: major
Applies To: Engine
Component: JQueryPlugin
Branches: trunk
Reported By: GeorgeClark
Waiting For:
Last Change By: GeorgeClark
The Foswiki 1.1.5 virtual machine was broken because the LocalSite.cfg was set for a missing version of JQuery. It was discovered because someone had the perseverance to ask why the Wysiwyg editor wasn't functional. (Also noted that Twisties were not working, but the new user didn't realize that stuff should have been hidden).

Given that there is work to move configure into a Plugin, we probably should have a way for JQueryPlugin to fall back to an available version if the configured jquery version is not on disk. A mis-configured jquery should not leave the user with a disfunctional foswiki.

Even though this is more an enhancement, I'm making it urgent, so we don't lose sight of it.

-- GeorgeClark - 20 Mar 2014

 

ItemTemplate edit

Summary JQuery needs to fallback to an available version if misconfigured
ReportedBy GeorgeClark
Codebase 1.1.9, trunk
SVN Range
AppliesTo Engine
Component JQueryPlugin
Priority Enhancement
CurrentState Closed
WaitingFor
Checkins distro:0532adbcf5dc
TargetRelease major
ReleasedIn 2.0.0
CheckinsOnBranches trunk
trunkCheckins distro:0532adbcf5dc
masterCheckins
ItemBranchCheckins
Release01x01Checkins
Topic revision: r5 - 05 Jul 2015, GeorgeClark - This page was cached on 08 Dec 2016 - 09:26.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License